List email templates

gethttps://api.expiryedge.com/v1/emailTemplates
any role (admin, editor or viewer)60/min
Anfrage
curl 'https://api.expiryedge.com/v1/emailTemplates' \
  -H "Authorization: Bearer $EXPIRYEDGE_API_KEY"
Antwort
{
  "templates": [
    {
      "id": "et_Qw81zd",
      "name": "Friendly renewal reminder",
      "subject": "Reminder: {{expiry.name}} {{expiry.status}}",
      "body_html": "<p>Hi {{contact.firstName}},</p><p>{{expiry.name}} {{expiry.status}}. <a href=\"{{expiry.url}}\">View details</a>.</p>",
      "type": "expiry_reminder",
      "track_opens": true,
      "track_clicks": false,
      "created_by": "u_71bXq",
      "updated_by": "u_71bXq",
      "created_at": "2026-09-27T14:05:00.000Z",
      "updated_at": "2026-09-27T14:05:00.000Z"
    }
  ],
  "selected": {
    "expiry_reminder": "et_Qw81zd"
  },
  "entitlement": {
    "allowed": true,
    "planName": "ProEssentials",
    "expiresAt": 1790518000000
  },
  "usage": {
    "et_Qw81zd": 2
  }
}

Returns all of the organization's email templates (unbounded), the selected default per type, plan entitlement and per-template expiry type usage.

Rückgabe

200
Templates plus selection, entitlement and usage.
  • templatesarray of objects
    Newest update first. Unbounded.
  • selectedmap of string
    Template type -> selected template id (the organization default).
  • entitlementobject
  • usagemap of integer
    Template id -> number of expiry types using it as their override.

Fehler

400
The request is missing required fields or contains invalid values.
401
Missing, expired or invalid bearer token.
429
Too many requests for this endpoint from your IP. Wait Retry-After seconds.
500
Unexpected server error. Retry later; quote requestId to support.